import MarkdownIt from 'markdown-it';
import type { Options as MarkdownItOptions } from 'markdown-it';
import type { Theme } from 'shiki';
export declare type Options = Omit<MarkdownItOptions, 'html' | 'highlight'> & {
    codeTheme?: Theme;
    className?: string;
    injectStyle?: string | boolean;
};
declare const plugin: (options?: Options) => {
    name: string;
    resolveId(id: any, importer: any, options: any): Promise<any>;
    load(id: string): string;
    transform(code: string, id: string): Promise<{
        code: string;
    }>;
};
export default plugin;
export declare function createMarkdownIt(options: Options): Promise<MarkdownIt>;
