"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createVueComponent = exports.createReactComponent = exports.createHtmlModule = void 0;
function createHtmlModule(html, className) {
    const content = `\`<div class="${className}">
${html.slice(1, -1)}
</div>\``;
    return `export default ${content}`;
}
exports.createHtmlModule = createHtmlModule;
function createReactComponent(html, className) {
    return `import { createElement } from 'react';

export default function() {
  return createElement(
    'div', 
    { 
      className: '${className}',
      dangerouslySetInnerHTML: {
        __html: ${html}
      }
    }
  );
}`;
}
exports.createReactComponent = createReactComponent;
function createVueComponent(html, className) {
    return `export default {
  render(h) {
    h('div', {
      class: '${className}',
      domProps: {
        innerHTML: ${html}
      }
    });
  }
}`;
}
exports.createVueComponent = createVueComponent;
